//
//  Gestion des interruptions
// 
//  INT0 = Signal du debitmetre
//
//  22 janvier 2019
//
 
#include "Arduino.h"

// Entrée Signal Debitmetre PIN 2 (INT0)
#define Debit_pin 2

//**************************************
// Comptage des impulsions du debitmetre

void Capture_Pulse_Debit () {

  extern unsigned long compteur_pulse_debit;  // Compteur
  extern boolean flag_pulse_debit;   		      // Flag d'interruption
  //extern unsigned long delta_temps;           // Delta t entre 2 interruptions en µs
  
  //static unsigned long temps_prec = 0;     	// temps mémorisé au front descendant précédent
  //static unsigned long temps_courant;  			// temps courant (depuis mise sous tension)
  
  //temps_courant = micros();          // temps courant en µs
  //delta_temps = temps_courant - temps_prec;   // Calcul écart entre 2 interruptions
  //temps_prec = temps_courant;
  
  compteur_pulse_debit++;
  flag_pulse_debit = true;   
}

//***************************************
// Configuration de l'entrée sous interrruption

void Init_Int_Debit() {
  // Interruption 0
  // Broche 2
  pinMode(Debit_pin, INPUT);
  // prise en compte INT sur front descendant
  attachInterrupt(0, Capture_Pulse_Debit , FALLING); 
}  
