//
//  Mesure de tension
//
//
// Auteur : www.thyzoon.fr 
//
// 2011-2019
// 

#include "Arduino.h"

// Calcul des coefficeints de mesures en fonction des resistances 
// COEF = ((R1 + R2)/R2) * (VREF/1024) 
// VREF = 5V (refrence interne)
#define COEF_LIPO1 0.0087209  // Ra = 1.69K     Rb = 2.15K      
#define COEF_LIPO2 0.0087209  // Ra = 1.69K     Rb = 2.15K 
#define COEF_LIPO3 0.0087209  // Ra = 1.69K     Rb = 2.15K  

class TensionLipo{
  public:
  TensionLipo();
  void begin(); 
  float Tension_Lipo1 ();
  float Tension_Lipo2 ();
  float Tension_Lipo3 ();
  
  private:
  uint16_t mesure(uint8_t pin);
};
